%global pypi_name asciidata

Name:           python-asciidata
Version:        1.1.1
Release:        %mkrel 15
Group:          Sciences/Astronomy
Summary:        AstroAsciiData is a Python module to handle ASCII tables
Url:            http://www.stecf.org/software/PYTHONtools/astroasciidata
License:        GPLv2
Source0:        http://www.stecf.org/software/PYTHONtools/astroasciidata/source/asciidata-%{version}.tar.gz
Patch0:         python-asciidata-1.1.1-py3support.patch
BuildArch:      noarch


%description
AstroAsciiData is a Python module to handle ASCII tables. The idea to
develop this Python module emerged from the fact that ASCII tables
continue to be one of the most popular and widely used data exchange
formats in astronomy and probably science in general. The development
of the AstroAsciiData module is taking place as part of the AstroLib
project, an open source effort to develop general astronomical
utilities. The prime focus of the module is not computational speed,
since the ASCII tables used in astronomy are rather small (<10MB) and
thus very easy to handle for modern day computers. The main effort was
clearly to maximize the convenience for the user to keep the threshold
for installing and using the AstroAsciiData module as low as possible.


%package -n python3-asciidata
Summary:        Python3 implementation of AstroAsciiData
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-asciidata
%{summary}.


%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

%build
%py3_build

%install
%py3_install

%files -n python3-asciidata
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.1.1-15.mga8
+ Revision: 1533119
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.1.1-14.mga8
+ Revision: 1443544
- rebuild for python-3.8
- drop python2 subpkg

* Sat Aug 17 2019 wally <wally> 1.1.1-13.mga8
+ Revision: 1429625
- drop unneeded sphinx BRs

* Mon Jan 07 2019 shlomif <shlomif> 1.1.1-12.mga7
+ Revision: 1351093
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.1.1-11.mga7
+ Revision: 1288244
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.1.1-10.mga7
+ Revision: 1135312
- Rebuild for python 3.6

* Fri Dec 16 2016 eatdirt <eatdirt> 1.1.1-9.mga6
+ Revision: 1075610
- Add support for python3

* Mon Feb 08 2016 umeabot <umeabot> 1.1.1-8.mga6
+ Revision: 948131
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-7.mga5
+ Revision: 739407
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.1-6.mga5
+ Revision: 728063
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 687887
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1.1-3.mga4
+ Revision: 542952
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.1-2.mga4
+ Revision: 498119
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jul 12 2013 joequant <joequant> 1.1.1-1.mga4
+ Revision: 453518
- imported package python-asciidata

